package org.springblade.common.utils;

import lombok.extern.slf4j.Slf4j;

import java.io.File;
import java.io.FileOutputStream;
import java.util.Base64;

/**
 * 使用multipart/form-data格式传输文件到给定接口
 */
@Slf4j
public class Base64Util {

	private Base64Util() {
	}

	/**
	 * post请求提交form-data上传文件
	 * @param  base64  上传地址
	 * @param  filePath  请求头
	 * @return  file  文件
	 */
	public static File base64ToFile(String base64, String filePath) {
		File file = new File(filePath);
		byte[] buffer;
		try {
			buffer = Base64.getDecoder().decode(base64);
			FileOutputStream out = new FileOutputStream(filePath);
			out.write(buffer);
			out.close();
		} catch (Exception e) {
			log.error("TAG", "异常信息:" + e.getMessage());
		}
		return file;
	}
}
